/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "oneDNN", "index.html", [
    [ "Developer Guide", "index.html", null ],
    [ "Building and Linking", "usergroup0.html", [
      [ "Build from Source", "dev_guide_build.html", null ],
      [ "Build Options", "dev_guide_build_options.html", null ],
      [ "Linking to the Library", "dev_guide_link.html", null ]
    ] ],
    [ "Programming Model", "usergroup1.html", [
      [ "Basic Concepts", "dev_guide_basic_concepts.html", null ],
      [ "Getting Started", "getting_started_cpp.html", null ],
      [ "Memory Format Propagation", "memory_format_propagation_cpp.html", null ],
      [ "Inference and Training", "dev_guide_inference_and_training_aspects.html", [
        [ "Inference", "dev_guide_inference.html", null ],
        [ "Inference Using int8", "dev_guide_inference_int8.html", null ],
        [ "Training Using bfloat16", "dev_guide_training_bf16.html", null ]
      ] ],
      [ "Primitive Attributes", "dev_guide_attributes.html", [
        [ "Managing Scratchpad", "dev_guide_attributes_scratchpad.html", null ],
        [ "Quantization", "dev_guide_attributes_quantization.html", null ],
        [ "Post-ops", "dev_guide_attributes_post_ops.html", null ]
      ] ],
      [ "Data Types", "dev_guide_data_types.html", null ],
      [ "Reorder Between CPU and GPU Engines", "cross_engine_reorder_cpp.html", null ],
      [ "C and C++ API", "dev_guide_c_and_cpp_apis.html", null ],
      [ "Interoperability with DPC++ and OpenCL", "usergroup2.html", [
        [ "OpenCL Interoperability", "dev_guide_opencl_interoperability.html", null ],
        [ "DPC++ Interoperability", "dev_guide_dpcpp_interoperability.html", null ],
        [ "DPC++ Backends", "dev_guide_dpcpp_backends.html", null ]
      ] ]
    ] ],
    [ "Supported Primitives", "usergroup3.html", [
      [ "(De-)Convolution", "dev_guide_convolution.html", null ],
      [ "Inner Product", "dev_guide_inner_product.html", null ],
      [ "Matrix Multiplication", "dev_guide_matmul.html", null ],
      [ "RNN", "dev_guide_rnn.html", null ],
      [ "Batch Normalization", "dev_guide_batch_normalization.html", null ],
      [ "Binary", "dev_guide_binary.html", null ],
      [ "Concat", "dev_guide_concat.html", null ],
      [ "Elementwise", "dev_guide_eltwise.html", null ],
      [ "Layer Normalization", "dev_guide_layer_normalization.html", null ],
      [ "Local Response Normalization", "dev_guide_lrn.html", null ],
      [ "Logsoftmax", "dev_guide_logsoftmax.html", null ],
      [ "Pooling", "dev_guide_pooling.html", null ],
      [ "Prelu", "dev_guide_prelu.html", null ],
      [ "Resampling", "dev_guide_resampling.html", null ],
      [ "Shuffle", "dev_guide_shuffle.html", null ],
      [ "Softmax", "dev_guide_softmax.html", null ],
      [ "Sum", "dev_guide_sum.html", null ],
      [ "Reorder", "dev_guide_reorder.html", null ],
      [ "Reduction", "dev_guide_reduction.html", null ]
    ] ],
    [ "Examples", "dev_guide_examples.html", null ],
    [ "Performance Profiling and Inspection", "usergroup4.html", [
      [ "Verbose Mode", "dev_guide_verbose.html", null ],
      [ "Configuring oneDNN for Benchmarking", "dev_guide_performance_settings.html", null ],
      [ "Performance Benchmark", "dev_guide_benchdnn.html", null ],
      [ "Profiling oneDNN Performance", "dev_guide_profilers.html", null ],
      [ "Inspecting JIT Code", "dev_guide_inspecting_jit.html", null ],
      [ "Performance Profiling Example", "performance_profiling_cpp.html", null ],
      [ "CPU Dispatcher Controls", "dev_guide_cpu_dispatcher_control.html", null ],
      [ "CPU ISA Hints", "dev_guide_cpu_isa_hints.html", null ]
    ] ],
    [ "Advanced Topics", "usergroup5.html", [
      [ "Transition from v0.x to v1.x", "dev_guide_transition_to_v1.html", null ],
      [ "Transition from Intel MKL-DNN to oneDNN", "dev_guide_transition_to_dnnl.html", null ],
      [ "Understanding oneDNN Memory Formats", "dev_guide_understanding_memory_formats.html", null ],
      [ "Nuances of int8 computations", "dev_guide_int8_computations.html", null ],
      [ "Primitive Cache", "dev_guide_primitive_cache.html", null ],
      [ "Using oneDNN with Threadpool-based Threading", "dev_guide_threadpool.html", null ]
    ] ],
    [ "API Reference", "usergroup6.html", [
      [ "Modules", "modules.html", "modules" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ],
      [ "Class List", "annotated.html", [
        [ "Class List", "annotated.html", "annotated_dup" ],
        [ "Class Index", "classes.html", null ],
        [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
        [ "Class Members", "functions.html", [
          [ "All", "functions.html", "functions_dup" ],
          [ "Functions", "functions_func.html", "functions_func" ],
          [ "Variables", "functions_vars.html", null ],
          [ "Typedefs", "functions_type.html", null ],
          [ "Enumerations", "functions_enum.html", null ]
        ] ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"group__dnnl__api__deconvolution.html#gafd99fc7c70359ba9434d6a9933d566c3",
"group__dnnl__api__primitives__common.html#ga28e553bafbca27e9c87020adc8863340",
"group__dnnl__api__primitives__common.html#gga9e5235563cf7cfc10fa89f415de98059adcc42a35903cab69c3bcdee0baaa66c0",
"structdnnl_1_1convolution__backward__data.html",
"structdnnl_1_1layer__normalization__backward_1_1primitive__desc.html#a7161632174cf25ba1095fb349c89abee",
"structdnnl_1_1memory.html#a8e71077ed6a5f7fb7b3e6e1a5a2ecf3fa900150983cd24fb0d6963f7d28e17f72",
"structdnnl_1_1primitive__desc__base.html#aae07f2f06d74537546c3056bd305dfbe",
"structdnnl__convolution__desc__t.html#a9f27187a491d19dcd0531b652dafb221"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';